import * as i0 from '@angular/core';
import { Component, HostListener, NgModule, Input } from '@angular/core';
import * as i2$1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i1 from 'iatec-metronic';
import { IatecMetronicScriptInitModule } from 'iatec-metronic';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import { Subject, takeUntil } from 'rxjs';

class FooterComponent {
    constructor(_layoutService) {
        this._layoutService = _layoutService;
        this.year = new Date().getFullYear();
        this.footer$ = this._layoutService.footer$;
    }
    ngOnInit() {
    }
}
FooterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: FooterComponent, deps: [{ token: i1.LayoutService }], target: i0.ɵɵFactoryTarget.Component });
FooterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.9", type: FooterComponent, selector: "layout-6-footer", ngImport: i0, template: "<div class=\"footer py-4 d-flex flex-lg-column\"\n     id=\"kt_footer\">\n    <!--begin::Container-->\n    <div class=\"container-fluid d-flex flex-column flex-md-row align-items-center justify-content-between\"\n         *ngIf=\"footer$ | async as footer\">\n        <!--begin::Copyright-->\n        <div class=\"text-dark order-2 order-md-1\">\n            <span class=\"text-muted fw-semibold me-1\">{{year}}&copy;</span>\n            {{footer.poweredBy}}\n        </div>\n        <!--end::Copyright-->\n\n        <!--begin::Menu-->\n        <ul class=\"menu menu-gray-600 menu-hover-primary fw-semibold order-1\"\n            *ngIf=\"footer.terms\">\n            <li class=\"menu-item\"\n                *ngFor=\"let term of footer.terms\">\n                <a [href]=\"term.link\"\n                   target=\"_blank\"\n                   class=\"menu-link px-2\">{{term.title}}</a>\n            </li>\n        </ul>\n        <!--end::Menu-->\n    </div>\n    <!--end::Container-->\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: FooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'layout-6-footer', template: "<div class=\"footer py-4 d-flex flex-lg-column\"\n     id=\"kt_footer\">\n    <!--begin::Container-->\n    <div class=\"container-fluid d-flex flex-column flex-md-row align-items-center justify-content-between\"\n         *ngIf=\"footer$ | async as footer\">\n        <!--begin::Copyright-->\n        <div class=\"text-dark order-2 order-md-1\">\n            <span class=\"text-muted fw-semibold me-1\">{{year}}&copy;</span>\n            {{footer.poweredBy}}\n        </div>\n        <!--end::Copyright-->\n\n        <!--begin::Menu-->\n        <ul class=\"menu menu-gray-600 menu-hover-primary fw-semibold order-1\"\n            *ngIf=\"footer.terms\">\n            <li class=\"menu-item\"\n                *ngFor=\"let term of footer.terms\">\n                <a [href]=\"term.link\"\n                   target=\"_blank\"\n                   class=\"menu-link px-2\">{{term.title}}</a>\n            </li>\n        </ul>\n        <!--end::Menu-->\n    </div>\n    <!--end::Container-->\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: i1.LayoutService }]; } });

class HeaderComponent {
    constructor(_layoutService) {
        this._layoutService = _layoutService;
        this.logo$ = this._layoutService.logo$;
    }
    ngOnInit() {
    }
}
HeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: HeaderComponent, deps: [{ token: i1.LayoutService }], target: i0.ɵɵFactoryTarget.Component });
HeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.9", type: HeaderComponent, selector: "layout-6-header", ngImport: i0, template: "<div id=\"kt_header\"\n     style=\"\"\n     class=\"header align-items-stretch\">\n    <!--begin::Container-->\n    <div class=\"container-fluid d-flex align-items-stretch justify-content-between\">\n        <!--begin::Aside mobile toggle-->\n        <div class=\"d-flex align-items-center d-lg-none ms-n1 me-2\"\n             title=\"Show aside menu\">\n            <div class=\"btn btn-icon btn-active-color-primary w-30px h-30px w-md-40px h-md-40px\"\n                 id=\"kt_aside_mobile_toggle\">\n                <!--begin::Svg Icon | path: icons/duotune/abstract/abs015.svg-->\n                <span class=\"svg-icon svg-icon-1\">\n\t\t\t\t\t\t\t\t\t\t<svg width=\"24\"\n                                             height=\"24\"\n                                             viewBox=\"0 0 24 24\"\n                                             fill=\"none\"\n                                             xmlns=\"http://www.w3.org/2000/svg\">\n\t\t\t\t\t\t\t\t\t\t\t<path d=\"M21 7H3C2.4 7 2 6.6 2 6V4C2 3.4 2.4 3 3 3H21C21.6 3 22 3.4 22 4V6C22 6.6 21.6 7 21 7Z\"\n                                                  fill=\"currentColor\"/>\n\t\t\t\t\t\t\t\t\t\t\t<path opacity=\"0.3\"\n                                                  d=\"M21 14H3C2.4 14 2 13.6 2 13V11C2 10.4 2.4 10 3 10H21C21.6 10 22 10.4 22 11V13C22 13.6 21.6 14 21 14ZM22 20V18C22 17.4 21.6 17 21 17H3C2.4 17 2 17.4 2 18V20C2 20.6 2.4 21 3 21H21C21.6 21 22 20.6 22 20Z\"\n                                                  fill=\"currentColor\"/>\n\t\t\t\t\t\t\t\t\t\t</svg>\n\t\t\t\t\t\t\t\t\t</span>\n                <!--end::Svg Icon-->\n            </div>\n        </div>\n        <!--end::Aside mobile toggle-->\n\n        <!--begin::Mobile logo-->\n        <div class=\"d-flex align-items-stretch flex-grow-1 flex-lg-grow-0\">\n            <a [routerLink]=\"['/']\"\n               class=\"d-lg-none\"\n               *ngIf=\"logo$ | async as logo\">\n                <img alt=\"Logo\"\n                     [src]=\"logo\"\n                     class=\"h-30px logo-mobile\"/>\n            </a>\n        </div>\n        <!--end::Mobile logo-->\n\n        <!--begin::Wrapper-->\n        <div class=\"d-flex align-items-stretch justify-content-between flex-lg-grow-1\">\n            <!--begin::Navbar-->\n            <div class=\"d-flex align-items-stretch\"\n                 id=\"kt_header_nav\">\n            </div>\n            <!--end::Navbar-->\n\n            <!--begin::Toolbar wrapper-->\n            <div class=\"d-flex align-items-stretch flex-shrink-0\">\n                <ng-content></ng-content>\n            </div>\n            <!--end::Toolbar wrapper-->\n        </div>\n        <!--end::Wrapper-->\n    </div>\n    <!--end::Container-->\n</div>\n", styles: ["img.logo-mobile{margin-top:12.5px}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'layout-6-header', template: "<div id=\"kt_header\"\n     style=\"\"\n     class=\"header align-items-stretch\">\n    <!--begin::Container-->\n    <div class=\"container-fluid d-flex align-items-stretch justify-content-between\">\n        <!--begin::Aside mobile toggle-->\n        <div class=\"d-flex align-items-center d-lg-none ms-n1 me-2\"\n             title=\"Show aside menu\">\n            <div class=\"btn btn-icon btn-active-color-primary w-30px h-30px w-md-40px h-md-40px\"\n                 id=\"kt_aside_mobile_toggle\">\n                <!--begin::Svg Icon | path: icons/duotune/abstract/abs015.svg-->\n                <span class=\"svg-icon svg-icon-1\">\n\t\t\t\t\t\t\t\t\t\t<svg width=\"24\"\n                                             height=\"24\"\n                                             viewBox=\"0 0 24 24\"\n                                             fill=\"none\"\n                                             xmlns=\"http://www.w3.org/2000/svg\">\n\t\t\t\t\t\t\t\t\t\t\t<path d=\"M21 7H3C2.4 7 2 6.6 2 6V4C2 3.4 2.4 3 3 3H21C21.6 3 22 3.4 22 4V6C22 6.6 21.6 7 21 7Z\"\n                                                  fill=\"currentColor\"/>\n\t\t\t\t\t\t\t\t\t\t\t<path opacity=\"0.3\"\n                                                  d=\"M21 14H3C2.4 14 2 13.6 2 13V11C2 10.4 2.4 10 3 10H21C21.6 10 22 10.4 22 11V13C22 13.6 21.6 14 21 14ZM22 20V18C22 17.4 21.6 17 21 17H3C2.4 17 2 17.4 2 18V20C2 20.6 2.4 21 3 21H21C21.6 21 22 20.6 22 20Z\"\n                                                  fill=\"currentColor\"/>\n\t\t\t\t\t\t\t\t\t\t</svg>\n\t\t\t\t\t\t\t\t\t</span>\n                <!--end::Svg Icon-->\n            </div>\n        </div>\n        <!--end::Aside mobile toggle-->\n\n        <!--begin::Mobile logo-->\n        <div class=\"d-flex align-items-stretch flex-grow-1 flex-lg-grow-0\">\n            <a [routerLink]=\"['/']\"\n               class=\"d-lg-none\"\n               *ngIf=\"logo$ | async as logo\">\n                <img alt=\"Logo\"\n                     [src]=\"logo\"\n                     class=\"h-30px logo-mobile\"/>\n            </a>\n        </div>\n        <!--end::Mobile logo-->\n\n        <!--begin::Wrapper-->\n        <div class=\"d-flex align-items-stretch justify-content-between flex-lg-grow-1\">\n            <!--begin::Navbar-->\n            <div class=\"d-flex align-items-stretch\"\n                 id=\"kt_header_nav\">\n            </div>\n            <!--end::Navbar-->\n\n            <!--begin::Toolbar wrapper-->\n            <div class=\"d-flex align-items-stretch flex-shrink-0\">\n                <ng-content></ng-content>\n            </div>\n            <!--end::Toolbar wrapper-->\n        </div>\n        <!--end::Wrapper-->\n    </div>\n    <!--end::Container-->\n</div>\n", styles: ["img.logo-mobile{margin-top:12.5px}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.LayoutService }]; } });

class AsideComponent {
    constructor(_layoutService, _router) {
        this._layoutService = _layoutService;
        this._router = _router;
        this._unsubscribeAll = new Subject;
        this.logo$ = this._layoutService.logo$;
        this._layoutService.menus$
            .pipe(takeUntil(this._unsubscribeAll))
            .subscribe(menus => {
            if (menus) {
                this.menus = menus;
                this._layoutService.searchActivePage(this._router.url, menus);
            }
        });
    }
    ngOnInit() {
    }
    ngOnDestroy() {
        this._unsubscribeAll.next(false);
        this._unsubscribeAll.complete();
    }
    setActivePage(menu) {
        if (!menu.isActive) {
            this._router.navigate([menu.route]).then(() => {
                this._layoutService.searchActivePage(this._router.url, this.menus);
            });
        }
        menu.isActive = true;
    }
}
AsideComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: AsideComponent, deps: [{ token: i1.LayoutService }, { token: i2$1.Router }], target: i0.ɵɵFactoryTarget.Component });
AsideComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.9", type: AsideComponent, selector: "layout-6-aside", ngImport: i0, template: "<div id=\"kt_aside\"\n     class=\"aside pb-5 pt-5 pt-lg-0\"\n     data-kt-drawer=\"true\"\n     data-kt-drawer-name=\"aside\"\n     data-kt-drawer-activate=\"{default: true, lg: false}\"\n     data-kt-drawer-overlay=\"true\"\n     data-kt-drawer-width=\"{default:'80px', '300px': '100px'}\"\n     data-kt-drawer-direction=\"start\"\n     data-kt-drawer-toggle=\"#kt_aside_mobile_toggle\">\n    <!--begin::Brand-->\n    <div class=\"aside-logo py-8\"\n         id=\"kt_aside_logo\">\n        <!--begin::Logo-->\n        <a [routerLink]=\"['/']\"\n           *ngIf=\"logo$ | async as logo\"\n           class=\"d-flex align-items-center\">\n            <img alt=\"Logo Desktop\"\n                 [src]=\"logo\"\n                 class=\"logo\"/>\n        </a>\n        <!--end::Logo-->\n    </div>\n    <!--end::Brand-->\n\n    <!--begin::Aside menu-->\n    <div class=\"aside-menu flex-column-fluid\"\n         id=\"kt_aside_menu\">\n        <!--begin::Aside Menu-->\n        <div class=\"hover-scroll-overlay-y my-2 my-lg-5 pe-lg-n1\"\n             id=\"kt_aside_menu_wrapper\"\n             data-kt-scroll=\"true\"\n             data-kt-scroll-height=\"auto\"\n             data-kt-scroll-dependencies=\"#kt_aside_logo, #kt_aside_footer\"\n             data-kt-scroll-wrappers=\"#kt_aside, #kt_aside_menu\"\n             data-kt-scroll-offset=\"5px\">\n            <!--begin::Menu-->\n            <div class=\"menu menu-column menu-title-gray-700 menu-state-title-primary menu-state-icon-primary menu-state-bullet-primary menu-arrow-gray-500 fw-semibold\"\n                 id=\"#kt_aside_menu\"\n                 data-kt-menu=\"true\">\n                <!--begin:Menu item-->\n                <div data-kt-menu-trigger=\"{default: 'click', lg: 'hover'}\"\n                     data-kt-menu-placement=\"right-start\"\n                     class=\"menu-item   py-2\"\n                     *ngFor=\"let menu of menus\"\n                     [ngClass]=\"{'here show': menu.isActive}\"\n                     (click)=\"setActivePage(menu)\">\n                    <!--begin:Menu link-->\n                    <span class=\"menu-link menu-center\">\n\t\t\t\t\t\t\t\t\t\t<span class=\"menu-icon me-0\">\n\t\t\t\t\t\t\t\t\t\t\t<i [class]=\"menu.icon\"></i>\n\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t\t<span class=\"menu-title\">{{menu.text}}</span>\n\t\t\t\t\t\t\t\t\t</span>\n                    <!--end:Menu link-->\n                </div>\n                <!--end:Menu item-->\n            </div>\n            <!--end::Menu-->\n        </div>\n        <!--end::Aside Menu-->\n    </div>\n    <!--end::Aside menu-->\n</div>\n", styles: ["img.logo{width:45px;height:45px}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: AsideComponent, decorators: [{
            type: Component,
            args: [{ selector: 'layout-6-aside', template: "<div id=\"kt_aside\"\n     class=\"aside pb-5 pt-5 pt-lg-0\"\n     data-kt-drawer=\"true\"\n     data-kt-drawer-name=\"aside\"\n     data-kt-drawer-activate=\"{default: true, lg: false}\"\n     data-kt-drawer-overlay=\"true\"\n     data-kt-drawer-width=\"{default:'80px', '300px': '100px'}\"\n     data-kt-drawer-direction=\"start\"\n     data-kt-drawer-toggle=\"#kt_aside_mobile_toggle\">\n    <!--begin::Brand-->\n    <div class=\"aside-logo py-8\"\n         id=\"kt_aside_logo\">\n        <!--begin::Logo-->\n        <a [routerLink]=\"['/']\"\n           *ngIf=\"logo$ | async as logo\"\n           class=\"d-flex align-items-center\">\n            <img alt=\"Logo Desktop\"\n                 [src]=\"logo\"\n                 class=\"logo\"/>\n        </a>\n        <!--end::Logo-->\n    </div>\n    <!--end::Brand-->\n\n    <!--begin::Aside menu-->\n    <div class=\"aside-menu flex-column-fluid\"\n         id=\"kt_aside_menu\">\n        <!--begin::Aside Menu-->\n        <div class=\"hover-scroll-overlay-y my-2 my-lg-5 pe-lg-n1\"\n             id=\"kt_aside_menu_wrapper\"\n             data-kt-scroll=\"true\"\n             data-kt-scroll-height=\"auto\"\n             data-kt-scroll-dependencies=\"#kt_aside_logo, #kt_aside_footer\"\n             data-kt-scroll-wrappers=\"#kt_aside, #kt_aside_menu\"\n             data-kt-scroll-offset=\"5px\">\n            <!--begin::Menu-->\n            <div class=\"menu menu-column menu-title-gray-700 menu-state-title-primary menu-state-icon-primary menu-state-bullet-primary menu-arrow-gray-500 fw-semibold\"\n                 id=\"#kt_aside_menu\"\n                 data-kt-menu=\"true\">\n                <!--begin:Menu item-->\n                <div data-kt-menu-trigger=\"{default: 'click', lg: 'hover'}\"\n                     data-kt-menu-placement=\"right-start\"\n                     class=\"menu-item   py-2\"\n                     *ngFor=\"let menu of menus\"\n                     [ngClass]=\"{'here show': menu.isActive}\"\n                     (click)=\"setActivePage(menu)\">\n                    <!--begin:Menu link-->\n                    <span class=\"menu-link menu-center\">\n\t\t\t\t\t\t\t\t\t\t<span class=\"menu-icon me-0\">\n\t\t\t\t\t\t\t\t\t\t\t<i [class]=\"menu.icon\"></i>\n\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t\t<span class=\"menu-title\">{{menu.text}}</span>\n\t\t\t\t\t\t\t\t\t</span>\n                    <!--end:Menu link-->\n                </div>\n                <!--end:Menu item-->\n            </div>\n            <!--end::Menu-->\n        </div>\n        <!--end::Aside Menu-->\n    </div>\n    <!--end::Aside menu-->\n</div>\n", styles: ["img.logo{width:45px;height:45px}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.LayoutService }, { type: i2$1.Router }]; } });

class Layout6Component {
    constructor() {
        this.minMainContainerHeight = '0';
        const body = document.getElementsByTagName('body')[0];
        body.classList.add('header-fixed');
        body.classList.add('header-tablet-and-mobile-fixed');
        body.classList.add('toolbar-enabled');
        body.classList.add('toolbar-fixed');
        body.classList.add('aside-enabled');
        body.classList.add('aside-fixed');
        this.onResize();
    }
    onResize() {
        this.screenHeight = window.innerHeight;
        this.screenWidth = window.innerWidth;
        let difference = 208;
        if (window.innerWidth < 768) {
            difference = 136;
        }
        else if (window.innerWidth < 992) {
            difference = 124;
        }
        this.minMainContainerHeight = `${this.screenHeight - difference}px`;
    }
    ngOnInit() {
    }
    ngOnDestroy() {
        const body = document.getElementsByTagName('body')[0];
        body.classList.remove('header-fixed');
        body.classList.remove('header-tablet-and-mobile-fixed');
        body.classList.remove('toolbar-enabled');
        body.classList.remove('toolbar-fixed');
        body.classList.remove('aside-enabled');
        body.classList.remove('aside-fixed');
    }
}
Layout6Component.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: Layout6Component, deps: [], target: i0.ɵɵFactoryTarget.Component });
Layout6Component.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.9", type: Layout6Component, selector: "iatec-metronic-layout-6", host: { listeners: { "window:resize": "onResize($event)" } }, ngImport: i0, template: "<!--begin::Root-->\n<div class=\"d-flex flex-column flex-root\">\n    <!--begin::Page-->\n    <div class=\"page d-flex flex-row flex-column-fluid\">\n        <!--begin::Aside-->\n        <layout-6-aside></layout-6-aside>\n        <!--end::Aside-->\n\n        <!--begin::Wrapper-->\n        <div class=\"wrapper d-flex flex-column flex-row-fluid\"\n             id=\"kt_wrapper\">\n            <!--begin::Header-->\n            <layout-6-header>\n                <ng-content></ng-content>\n            </layout-6-header>\n            <!--end::Header-->\n\n            <!--begin::Content-->\n            <div id=\"container\"\n                 [style.min-height]=\"minMainContainerHeight\">\n                <router-outlet></router-outlet>\n            </div>\n            <!--end::Content-->\n\n            <!--begin::Footer-->\n            <layout-6-footer></layout-6-footer>\n            <!--end::Footer-->\n        </div>\n        <!--end::Wrapper-->\n    </div>\n    <!--end::Page-->\n</div>\n<!--end::Root-->\n<iatec-metronic-scripts-init></iatec-metronic-scripts-init>\n", styles: [""], dependencies: [{ kind: "directive", type: i2$1.RouterOutlet, selector: "router-outlet", outputs: ["activate", "deactivate", "attach", "detach"], exportAs: ["outlet"] }, { kind: "component", type: i1.ScriptsInitComponent, selector: "iatec-metronic-scripts-init" }, { kind: "component", type: FooterComponent, selector: "layout-6-footer" }, { kind: "component", type: HeaderComponent, selector: "layout-6-header" }, { kind: "component", type: AsideComponent, selector: "layout-6-aside" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: Layout6Component, decorators: [{
            type: Component,
            args: [{ selector: 'iatec-metronic-layout-6', template: "<!--begin::Root-->\n<div class=\"d-flex flex-column flex-root\">\n    <!--begin::Page-->\n    <div class=\"page d-flex flex-row flex-column-fluid\">\n        <!--begin::Aside-->\n        <layout-6-aside></layout-6-aside>\n        <!--end::Aside-->\n\n        <!--begin::Wrapper-->\n        <div class=\"wrapper d-flex flex-column flex-row-fluid\"\n             id=\"kt_wrapper\">\n            <!--begin::Header-->\n            <layout-6-header>\n                <ng-content></ng-content>\n            </layout-6-header>\n            <!--end::Header-->\n\n            <!--begin::Content-->\n            <div id=\"container\"\n                 [style.min-height]=\"minMainContainerHeight\">\n                <router-outlet></router-outlet>\n            </div>\n            <!--end::Content-->\n\n            <!--begin::Footer-->\n            <layout-6-footer></layout-6-footer>\n            <!--end::Footer-->\n        </div>\n        <!--end::Wrapper-->\n    </div>\n    <!--end::Page-->\n</div>\n<!--end::Root-->\n<iatec-metronic-scripts-init></iatec-metronic-scripts-init>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { onResize: [{
                type: HostListener,
                args: ['window:resize', ['$event']]
            }] } });

class ToolbarComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
ToolbarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: ToolbarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ToolbarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.9", type: ToolbarComponent, selector: "iatec-metronic-layout-6-toolbar", ngImport: i0, template: "<!--begin::Toolbar-->\n<div class=\"toolbar py-2\"\n     id=\"kt_toolbar\">\n    <!--begin::Container-->\n    <div id=\"kt_toolbar_container\"\n         class=\"container-fluid d-flex align-items-center\">\n        <!--begin::Page title-->\n        <div class=\"flex-grow-1 flex-shrink-0 me-5\">\n            <!--begin::Page title-->\n            <div data-kt-swapper=\"true\"\n                 data-kt-swapper-mode=\"prepend\"\n                 data-kt-swapper-parent=\"{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}\"\n                 class=\"page-title d-flex align-items-center flex-wrap me-3 mb-5 mb-lg-0\">\n                <!--begin::Title-->\n                <h1 class=\"d-flex align-items-center text-dark fw-bold my-1 fs-3\">\n                    <ng-content select=\"[title]\"></ng-content>\n                </h1>\n                <!--end::Title-->\n\n                <!--begin::Separator-->\n                <span class=\"h-20px border-gray-200 border-start mx-3\"></span>\n                <!--end::Separator-->\n\n                <!--begin::Breadcrumb-->\n                <ul class=\"breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-1\">\n                    <ng-content select=\"[breadcrumb]\"></ng-content>\n                </ul>\n                <!--end::Breadcrumb-->\n\n            </div>\n            <!--end::Page title-->\n        </div>\n        <!--end::Page title-->\n\n        <!--begin::Action group-->\n        <div class=\"d-flex align-items-center flex-wrap\">\n            <!--begin::Wrapper-->\n            <div class=\"d-flex align-items-center\">\n                <!--begin::Actions-->\n                <div class=\"d-flex align-items-center\">\n                    <ng-content select=\"[actions]\"></ng-content>\n                </div>\n                <!--end::Actions-->\n            </div>\n            <!--end::Wrapper-->\n        </div>\n        <!--end::Action group-->\n    </div>\n    <!--end::Container-->\n</div>\n<!--end::Toolbar-->\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: ToolbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'iatec-metronic-layout-6-toolbar', template: "<!--begin::Toolbar-->\n<div class=\"toolbar py-2\"\n     id=\"kt_toolbar\">\n    <!--begin::Container-->\n    <div id=\"kt_toolbar_container\"\n         class=\"container-fluid d-flex align-items-center\">\n        <!--begin::Page title-->\n        <div class=\"flex-grow-1 flex-shrink-0 me-5\">\n            <!--begin::Page title-->\n            <div data-kt-swapper=\"true\"\n                 data-kt-swapper-mode=\"prepend\"\n                 data-kt-swapper-parent=\"{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}\"\n                 class=\"page-title d-flex align-items-center flex-wrap me-3 mb-5 mb-lg-0\">\n                <!--begin::Title-->\n                <h1 class=\"d-flex align-items-center text-dark fw-bold my-1 fs-3\">\n                    <ng-content select=\"[title]\"></ng-content>\n                </h1>\n                <!--end::Title-->\n\n                <!--begin::Separator-->\n                <span class=\"h-20px border-gray-200 border-start mx-3\"></span>\n                <!--end::Separator-->\n\n                <!--begin::Breadcrumb-->\n                <ul class=\"breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-1\">\n                    <ng-content select=\"[breadcrumb]\"></ng-content>\n                </ul>\n                <!--end::Breadcrumb-->\n\n            </div>\n            <!--end::Page title-->\n        </div>\n        <!--end::Page title-->\n\n        <!--begin::Action group-->\n        <div class=\"d-flex align-items-center flex-wrap\">\n            <!--begin::Wrapper-->\n            <div class=\"d-flex align-items-center\">\n                <!--begin::Actions-->\n                <div class=\"d-flex align-items-center\">\n                    <ng-content select=\"[actions]\"></ng-content>\n                </div>\n                <!--end::Actions-->\n            </div>\n            <!--end::Wrapper-->\n        </div>\n        <!--end::Action group-->\n    </div>\n    <!--end::Container-->\n</div>\n<!--end::Toolbar-->\n" }]
        }], ctorParameters: function () { return []; } });

class IatecMetronicLayout6ToolbarModule {
}
IatecMetronicLayout6ToolbarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ToolbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
IatecMetronicLayout6ToolbarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ToolbarModule, declarations: [ToolbarComponent], imports: [CommonModule], exports: [ToolbarComponent] });
IatecMetronicLayout6ToolbarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ToolbarModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ToolbarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ToolbarComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        ToolbarComponent
                    ]
                }]
        }] });

class ContentComponent {
    constructor() {
        this.containerSizer = 'container-xxl';
    }
    ngOnInit() {
    }
}
ContentComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: ContentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ContentComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.9", type: ContentComponent, selector: "iatec-metronic-layout-6-content", inputs: { containerSizer: "containerSizer" }, ngImport: i0, template: "<div class=\"content d-flex flex-column flex-column-fluid\"\n     id=\"kt_content\">\n    <!--begin::Container-->\n    <div id=\"kt_content_container\"\n         [ngClass]=\"containerSizer\">\n        <ng-content select=\"[main]\"></ng-content>\n    </div>\n    <!--end::Container-->\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: ContentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'iatec-metronic-layout-6-content', template: "<div class=\"content d-flex flex-column flex-column-fluid\"\n     id=\"kt_content\">\n    <!--begin::Container-->\n    <div id=\"kt_content_container\"\n         [ngClass]=\"containerSizer\">\n        <ng-content select=\"[main]\"></ng-content>\n    </div>\n    <!--end::Container-->\n</div>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { containerSizer: [{
                type: Input
            }] } });

class IatecMetronicLayout6ContentModule {
}
IatecMetronicLayout6ContentModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ContentModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
IatecMetronicLayout6ContentModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ContentModule, declarations: [ContentComponent], imports: [CommonModule], exports: [ContentComponent] });
IatecMetronicLayout6ContentModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ContentModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6ContentModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ContentComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        ContentComponent
                    ]
                }]
        }] });

const components = [
    FooterComponent,
    HeaderComponent,
    Layout6Component
];
class IatecMetronicLayout6Module {
}
IatecMetronicLayout6Module.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6Module, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
IatecMetronicLayout6Module.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6Module, declarations: [FooterComponent,
        HeaderComponent,
        Layout6Component, AsideComponent], imports: [CommonModule,
        RouterModule,
        IatecMetronicScriptInitModule], exports: [FooterComponent,
        HeaderComponent,
        Layout6Component] });
IatecMetronicLayout6Module.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6Module, imports: [CommonModule,
        RouterModule,
        IatecMetronicScriptInitModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.9", ngImport: i0, type: IatecMetronicLayout6Module, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        components,
                        AsideComponent
                    ],
                    imports: [
                        CommonModule,
                        RouterModule,
                        IatecMetronicScriptInitModule,
                    ],
                    exports: [
                        components
                    ]
                }]
        }] });

/*
 * Public API Surface of iatec-metronic-layout-6
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AsideComponent, ContentComponent, FooterComponent, HeaderComponent, IatecMetronicLayout6ContentModule, IatecMetronicLayout6Module, IatecMetronicLayout6ToolbarModule, Layout6Component, ToolbarComponent };
//# sourceMappingURL=iatec-metronic-layout-6.mjs.map
