import { OnDestroy, OnInit } from '@angular/core';
import { Observable } from "rxjs";
import { LayoutMenuModel, LayoutService } from "iatec-metronic";
import { Router } from "@angular/router";
import * as i0 from "@angular/core";
export declare class AsideComponent implements OnInit, OnDestroy {
    private _layoutService;
    private _router;
    logo$: Observable<string | undefined>;
    menus: LayoutMenuModel[];
    private _unsubscribeAll;
    constructor(_layoutService: LayoutService, _router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setActivePage(menu: LayoutMenuModel): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsideComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AsideComponent, "layout-6-aside", never, {}, {}, never, never, false>;
}
